public inbox for fstests@vger.kernel.org
 help / color / mirror / Atom feed
* [PATCH 1/2] xfs/521: use _try_scratch_mount instead of _scratch_mount
@ 2020-10-16  9:31 Yang Xu
  2020-10-16  9:31 ` [PATCH 2/2] generic/402: " Yang Xu
  2020-10-16 15:32 ` [PATCH 1/2] xfs/521: use _try_scratch_mount instead of _scratch_mount Darrick J. Wong
  0 siblings, 2 replies; 8+ messages in thread
From: Yang Xu @ 2020-10-16  9:31 UTC (permalink / raw)
  To: guaneryu; +Cc: fstests, Yang Xu

Here will check the return code of mount option. So update it
to use _try_scratch_mount.

Signed-off-by: Yang Xu <xuyang2018.jy@cn.fujitsu.com>
---
 tests/xfs/521 | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/tests/xfs/521 b/tests/xfs/521
index 3aaa1296..e6c417b8 100755
--- a/tests/xfs/521
+++ b/tests/xfs/521
@@ -49,7 +49,7 @@ echo "Format and mount 100m rt volume"
 export USE_EXTERNAL=yes
 export SCRATCH_RTDEV=$rtdev
 _scratch_mkfs -r size=100m > $seqres.full
-_scratch_mount || _notrun "Could not mount scratch with synthetic rt volume"
+_try_scratch_mount || _notrun "Could not mount scratch with synthetic rt volume"
 
 testdir=$SCRATCH_MNT/test-$seq
 mkdir $testdir
-- 
2.23.0




^ permalink raw reply related	[flat|nested] 8+ messages in thread

end of thread, other threads:[~2020-10-19 16:05 UTC | newest]

Thread overview: 8+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2020-10-16  9:31 [PATCH 1/2] xfs/521: use _try_scratch_mount instead of _scratch_mount Yang Xu
2020-10-16  9:31 ` [PATCH 2/2] generic/402: " Yang Xu
2020-10-16 15:33   ` Darrick J. Wong
2020-10-18 10:10     ` Eryu Guan
2020-10-19  2:05       ` Yang Xu
2020-10-19  3:01       ` [PATCH v2] generic/402: Drop useless fail message Yang Xu
2020-10-19 16:03         ` Darrick J. Wong
2020-10-16 15:32 ` [PATCH 1/2] xfs/521: use _try_scratch_mount instead of _scratch_mount Darrick J. Wong

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox